## Create Movement **post** `/api/v2/public/stores/{store_number}/storeproductlocation/movement` Moves product stock between locations within a store. ### Path Parameters - `store_number: string` ### Query Parameters - `AppUserName: optional string` The app user performing the movement. ### Body Parameters - `body: optional array of object { allow_overage, from_location, product_number, 5 more }` - `allow_overage: optional boolean` Whether to allow moving more than available stock. - `from_location: optional object { customer_order_line_number, customer_order_number, customer_order_shipment_line_number, 3 more }` The source location for the product movement. - `customer_order_line_number: optional number` The customer order line number at the source. - `customer_order_number: optional string` The customer order number at the source. - `customer_order_shipment_line_number: optional number` The customer order shipment line number at the source. - `customer_order_shipment_number: optional string` The customer order shipment number at the source. - `location_code: optional string` The source location code. - `stock_pool: optional number` The stock pool at the source location. - `product_number: optional string` The product number to move. - `quantity: optional number` The quantity to move. - `reason_code: optional string` The reason code for the movement. - `reference: optional string` A reference identifier for the movement. - `source: optional string` The source system initiating the movement. - `to_location: optional object { customer_order_line_number, customer_order_number, customer_order_shipment_line_number, 3 more }` The destination location for the product movement. - `customer_order_line_number: optional number` The customer order line number at the destination. - `customer_order_number: optional string` The customer order number at the destination. - `customer_order_shipment_line_number: optional number` The customer order shipment line number at the destination. - `customer_order_shipment_number: optional string` The customer order shipment number at the destination. - `location_code: optional string` The destination location code. - `stock_pool: optional number` The stock pool at the destination location. ### Returns - `data: optional string` Optional data payload returned by the operation. - `message: optional string` Human-readable message describing the result. - `success: optional boolean` Indicates whether the operation completed successfully. ### Example ```http curl https://api.colleqtive.net/api/v2/public/stores/$STORE_NUMBER/storeproductlocation/movement \ -X POST \ -H "Authorization: $COLLEQTIVE_BEARER_TOKEN" ```